org.springframework.web.portlet.bind.annotation

## Annotation Type EventMapping

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    @Documented
    public @interface EventMapping

Annotation for mapping Portlet event requests onto handler methods.

Since:
  3.0
Author:
  Juergen Hoeller
See Also:
  `RequestMapping`

### Optional Element Summary

Optional Elements
`String` `value` The name of the event to be handled.

### Element Detail

#### value

    public abstract String value

The name of the event to be handled. This name uniquely identifies an event within a portlet mode.

Typically the local name of the event, but fully qualified names with a "{...}" namespace part will be mapped correctly as well.

If not specified, the handler method will be invoked for any event request within its general mapping.

See Also:
  `EventRequest.getEvent()`, `Event.getName()`

Default:
  ""